<?php
 

	// Error Reporting
	@error_reporting(0);
	
	//date_default_timezone_set('America/New_York'); //UTC

	/// Database Settings ///	
	
	include 'database.php';
	/*define('DB_NAME', 'database_name_here');	// MySQL database name
	define('DB_USER', 'username_here');			// MySQL database user
	define('DB_PASSWORD', 'password_here');		// MySQL database password
	define('DB_HOST', 'localhost');				// MySQL database host name (in most cases, it's localhost)	*/


	if (isset($_SESSION['userid']) && is_numeric($_SESSION['userid']))
	{
		$userid = (int)$_SESSION['userid'];
	}

	define('touchgigs_Script', TRUE);
	define('PUBLIC_HTML_PATH', $_SERVER['DOCUMENT_ROOT']);
	define('DOCS_ROOT', $_SERVER['DOCUMENT_ROOT']);
	define('touchgigs_ROOT', dirname(__FILE__) . '/');
	define('touchgigs_PAGE', TRUE);

	require_once(touchgigs_ROOT."db.inc.php");
	require_once(touchgigs_ROOT."functions.inc.php");

	if (!defined('is_Setup'))
	{
		require_once(touchgigs_ROOT."siteconfig.inc.php");
		require_once(touchgigs_ROOT."timezone.inc.php");

		// setup time zone
		if (in_array(SITE_TIMEZONE, $timezone))
		{
			date_default_timezone_set(SITE_TIMEZONE);
		}

		$lang = isset($_COOKIE['site_lang']) ? $_COOKIE['site_lang'] : "english";

		if (!empty($lang) && file_exists(DOCS_ROOT."/language/".$lang.".inc.php"))
		{
			define('USER_LANGUAGE', $lang);
			require_once(DOCS_ROOT."/language/".$lang.".inc.php");
		}
		else
		{
			define('USER_LANGUAGE', SITE_LANGUAGE);
			require_once(DOCS_ROOT."/TouchGigs/language/".SITE_LANGUAGE.".inc.php");
		}
	}

?>