<?php


	session_start();
	require_once("../inc/auth_adm.inc.php");
	require_once("../inc/config.inc.php");
	require_once("./inc/adm_functions.inc.php");


	if (isset($_POST["action"]) && $_POST["action"] == "message_reply")
	{
		unset($errors);
		$errors = array();

		$message_id	= (int)getPostParameter('id');
		$user_id	= (int)getPostParameter('uid');
		$answer		= mysqli_real_escape_string($conn, nl2br(getPostParameter('answer')));

		if (!($message_id && $user_id && $answer))
		{
			$errors[] = "Please enter your reply";
		}

		if (count($errors) == 0)
		{
			$ins_query = "INSERT INTO touchgigs_messages_answers SET message_id='$message_id', user_id='$user_id', is_admin='1', answer='$answer', answer_date=NOW()";
			if (smart_mysql_query($ins_query))
			{
				smart_mysql_query("UPDATE touchgigs_messages SET viewed='1', status='replied' WHERE message_id='$message_id'");
				header("Location: message_details.php?id=$message_id&msg=sent#reply");
				exit();
			}
		}
		else
		{
			$errormsg = "";
			foreach ($errors as $errorname)
				$errormsg .= "&#155; ".$errorname."<br/>";
		}
	}
	

	if (isset($_GET['id']) && is_numeric($_GET['id']))
	{
		$mid	= (int)$_GET['id'];
		$pn		= (int)$_GET['pn'];

		$query = "SELECT m.*, DATE_FORMAT(m.created, '%d %b %Y %h:%i %p') AS message_date, u.username, u.fname, u.lname FROM touchgigs_messages m, touchgigs_users u WHERE m.user_id=u.user_id AND m.message_id='$mid' LIMIT 1";
		$result = smart_mysql_query($query);
		$total = mysqli_num_rows($result);

		if ($total > 0)
		{
			// mark message as viewed //
			smart_mysql_query("UPDATE touchgigs_messages SET viewed='1' WHERE message_id='$mid' LIMIT 1");
		}
	}

	$title = "View Message";
	require_once ("inc/header.inc.php");

?>   
    
	<?php

		if ($total > 0)
		{
				$row = mysqli_fetch_array($result);
	?>

	   <h2><i class="fa fa-envelope-open-o"></i> View Message</h2>

		<form action="" method="post" name="form1">
          <table width="100%" align="center" cellpadding="3" cellspacing="3" border="0">
            <tr>
              <td valign="top">&nbsp; <i class="fa fa-user-circle-o" style="color: #bbb"></i> <a href="user_details.php?id=<?php echo $row['user_id']; ?>"><?php echo $row['username']; ?></a> <?php echo "(".$row['fname']." ".$row['lname'].")"; ?></td>
            </tr>
            <?php if ($row['recipient_id'] > 0) { ?>
            <tr>
              <td valign="top">&nbsp; Recipient: <a href="user_details.php?id=<?php echo $row['recipient_id']; ?>"><?php echo Getusername($row['recipient_id'], $username = 1); ?></a></td>
            </tr>
            <?php } ?>            
            <tr>
              <td nowrap="nowrap" valign="top">&nbsp; <b><?php echo $row['subject']; ?></b></td>
            </tr>
           <tr>
            <td valign="top">
				<div style="width: 97%; background: #F9F9F9; border: 1px solid #F5F5F5; border-radius: 5px; padding: 10px;">
					<div align="right"><span class="date"><?php echo $row['message_date']; ?></span></div><br/>
					<?php echo $row['message']; ?>
				</div>
			</td>
          </tr>

		<?php

			$aquery = "SELECT *, DATE_FORMAT(answer_date, '%d %b %Y %h:%i %p') AS a_date FROM touchgigs_messages_answers WHERE user_id='".$row['user_id']."' AND message_id='$mid' ORDER BY answer_date ASC";
			$aresult = smart_mysql_query($aquery);
			$atotal = mysqli_num_rows($aresult);
			
			if ($atotal > 0) { 
				while ($arow = mysqli_fetch_array($aresult)) { if ($arow['is_admin'] == 1) { $sender = "Admin"; $bg = "#F7FBFF"; }else{ $sender = "Member"; $bg = "#F7F7F7"; }
				
		?>				
			<tr>
				<td valign="top">
					<br>
					<?php if ($sender == "Admin") { ?><i class="fa fa-user-circle" style="color: #5ac0de"></i><?php }else{ ?><i class="fa fa-user-o"></i><?php } ?> <?php echo $sender; ?><br>
					<div style="width: 97%; background: <?php echo $bg; ?>; border: 1px solid #F5F5F5; border-radius: 5px; padding: 10px; min-height: 30px;">
						<div align="right"><span class="date"><?php echo $arow['a_date']; ?></span></div><br/>
						<?php echo $arow['answer']; ?>
					</div>
				</td>
			</tr>
		
		<?php } ?>
		
		<?php }	?>


		<tr>
		<td>
		<?php if (isset($errormsg)) { ?>
			<div class="alert alert-danger"><?php echo $errormsg; ?></div>
		<?php } ?>
		
			<?php if (isset($_GET['msg']) && $_GET['msg'] != "") { ?>
			<div class="alert alert-success text-center">
				<i class="fa fa-check-circle-o fa-lg"></i> 
				<?php
					switch ($_GET['msg'])
					{
						case "sent": echo "Message has been successfully sent!"; break;
						case "deleted": echo "Message has been successfully deleted!"; break;
					}
				?>
			</div>
			<?php } ?>		
		
		<a name="reply"></a>
		<form action="#reply" method="post" name="form1">
          <table width="100%" style="background: #fcfcfc" align="center" cellpadding="3" cellspacing="3" border="0">
           <tr>
            <td nowrap="nowrap" valign="middle" align="left" class="tb2">&nbsp;</td>
            <td align="left" valign="top"><h3>Reply</h3><textarea rows="8" cols="60" class="form-control" name="answer" style="width: 98%"><?php echo getPostParameter('answer'); ?></textarea></td>
          </tr>
          <tr>
            <td>&nbsp</td>
			<td align="left" valign="top">
				<input type="hidden" name="id" id="id" value="<?php echo (int)$row['message_id']; ?>" />
				<input type="hidden" name="uid" id="uid" value="<?php echo (int)$row['user_id']; ?>" />
				<input type="hidden" name="action" id="action" value="message_reply">
				<input type="submit" name="reply" id="reply" class="btn btn-success" value="Send Reply" />
            </td>
          </tr>
          </table>
		</form>
		</td>
		</tr>


          <tr>
		   <td align="center" valign="top">
			<input type="button" class="btn btn-default" name="cancel" value="Go Back" onClick="javascript:document.location.href='messages.php'" />
			<input type="button" class="btn btn-danger" style="position: absolute; right: 10px;" name="delete" value="Delete Message" onclick="if (confirm('Are you sure you really want to delete this message?') )location.href='message_delete.php?id=<?php echo $mid; ?>&pn=<?php echo $page; ?>&column=<?php echo $_GET['column']; ?>&order=<?php echo $_GET['order']; ?>';" />
		  </td>
          </tr>
          </table>
		</form>

      <?php }else{ ?>
				<div class="alert alert-info">Sorry, no message found.</div>
				<p align="center"><input type="button" class="btn btn-default" name="goback" value="Go Back" onclick="history.go(-1);return false;"></p>
      <?php } ?>

<?php require_once ("inc/footer.inc.php"); ?>