<?php


	session_start();
	
	require_once("inc/config.inc.php");
	
	if (SHOW_JOB_INFO_UNREG != 1)
	{
		require_once("inc/auth.inc.php");
	}

	if (isset($_REQUEST['id']) && is_numeric($_REQUEST['id']))
	{
		$job_id	= (int)$_REQUEST['id'];
	}
	else
	{		
		header ("Location: index.php");
		exit();
	}

	// hide jobs for user's from other countries
	/*if (isLoggedIn() && HIDE_NOT_COUNTRY_JOBS == 1 && !isOwner($job_id, $userid) && !CheckTargeting($job_id, $_SESSION['country']) && !isWorked($job_id, $userid))
	{
		header ("Location: index.php");
		exit();
	}*/ //dev

	$query = "SELECT jobs.*, DATE_FORMAT(jobs.added, '%M %e, %Y') AS date_added, DATE_FORMAT(jobs.updated, 'e %b %Y %h:%i %p') AS date_updated, jobs.status as job_status, users.*, DATE_FORMAT(users.created, '%M %Y') AS signup_date, DATE_FORMAT(users.last_login, '%M %e, %Y') AS last_login_date FROM touchgigs_jobs jobs LEFT JOIN touchgigs_users users ON jobs.user_id=users.user_id WHERE $where jobs.job_id='$job_id' LIMIT 1";
	$result = smart_mysql_query($query);
	$total = mysqli_num_rows($result);

	if ($total > 0)
	{
		if (!$_SESSION['recently_viewed']) $_SESSION['recently_viewed'] = array();
		
		if (!in_array($job_id, $_SESSION['recently_viewed']))
			$_SESSION['recently_viewed'][] = $job_id;
		
		if (count($_SESSION['recently_viewed']) > 10) array_shift($_SESSION['recently_viewed']);
		
		smart_mysql_query("UPDATE touchgigs_jobs SET views=views+1 WHERE job_id='$job_id' LIMIT 1");
		$row = mysqli_fetch_array($result);
		
		$ptitle 			= $row['title'];
		$feedbacks_total 	= GetOfferFeedbacksTotal($row['job_id']); 
	}
	else
	{
		$ptitle = "Job not found";
	}
	
	
	//add feedback
	if (isset($_POST['action']) && $_POST['action'] == "addfeedback")
	{
		$rating 			= (int)getPostParameter('rating');
		$feedback 			= mysqli_real_escape_string($conn, nl2br(getPostParameter('feedback')));
		
		if ($rating > 0 && $feedback != "" && $userid > 0)
		{
			$res = smart_mysql_query("UPDATE touchgigs_orders SET rating='$rating', feedback='$feedback', updated=NOW() WHERE offer_id='$job_id' AND user_id='$userid' AND feedback='' LIMIT 1");
			
			if ($res) $feedback_added = 1;
			
		}
	}

	///////////////  Page config  ///////////////
	$PAGE_TITLE			= $ptitle;
	$PAGE_DESCRIPTION	= $row['meta_description'];
	$PAGE_KEYWORDS		= $row['meta_keywords'];

	require_once ("inc/header.inc.php");

?>

	<?php if ($total > 0) { ?>


	<section class="job-bg page job-details-page">
		<div class="container">
				
				<div class="job-details-info">
					<div class="row">
						<div class="col-sm-8">
							<div class="section job-description">
								<h2>I will <?php echo $row['title']; ?></h2>
								
								<div class="pull-left">
								<a href="#feedbacks">
									<?php if ($feedbacks_total == 0) { ?>
										<i class="fa fa-star fa-2x" style="color: #ccc"></i><i class="fa fa-star fa-2x" style="color: #ccc"></i><i class="fa fa-star fa-2x" style="color: #ccc"></i><i class="fa fa-star fa-2x" style="color: #ccc"></i><i class="fa fa-star fa-2x" style="color: #ccc"></i>
									<?php }else{ ?>
										<i class="fa fa-star fa-2x" style="color: #e59d0c"></i><i class="fa fa-star fa-2x" style="color: #e59d0c"></i><i class="fa fa-star fa-lg" style="color: #e59d0c"></i><i class="fa fa-star fa-2x" style="color: #e59d0c"></i><i class="fa fa-star fa-2x" style="color: #e59d0c"></i>
									<?php } ?>
									(<?php echo $feedbacks_total; ?>)</a>
								</div>	
								<div class="pull-right"><a href="<?php echo SITE_URL; ?>myoffers.php?id=<?php echo $job_id; ?>&act=save"><i class="fa fa-heart fa-2x touchgigs_tooltip" title="Add to Saved" style="color: #ea5c54"></i></a> <span style="color: #ea5c54"><b><?php echo GigInFavoritesTotal($job_id); ?></b></span> likes</div><!-- ajax //dev -->
								<div style="clear: both"></div>
								
								<hr>			
								<div class="description-info">
									<h3>About This Gig</h3>
									<?php if ($row['image'] != "" && $row['image'] != "no_image.png") { ?><center><img src="<?php echo SITE_URL; ?>images/offers/<?php echo ($row['image'] != "") ? $row['image'] : "no_image.png"; ?>" alt="" style="border-radius: 10px"></center><br><?php } ?>
									<p><?php echo stripslashes($row['description']); ?></p>
									<?php if ($row['tags'] != "") { ?><p>Tags: <?php echo $row['tags']; ?></p><?php } ?>
								</div>
								
								<!--
								<div class="responsibilities">
									 Quantity 1-10 //dev
								</div>-->
															
							</div>

							
							<div class="section job-recommend">
								<a name="feedbacks"></a>
								<h3 class="pull-left"><i class="fa fa-comments-o fa-lg" style="color: #01a650"></i> Feedbacks <!-- 5.0--> (<?php echo $feedbacks_total; ?>)</h3>
								<?php if (isLoggedIn() && isOfferBuyer($job_id, $userid)) { ?>
									<br><a href="" class="badge pull-right">+ submit testimonial</a>
									<hr>
							 		<?php if (@$feedback_added == 1) { ?><div class="alert alert-success text-center"><i class="fa fa-check-circle-o fa-lg"></i> Thank you! Your feedback was added!</div><?php } ?>
							 		<form action="" method="post">
								 		<div class="text-center"><label class="radio-inline"><input type="radio" name="rating" value="1" <?php if (@$rating == 1) echo "checked"; ?>> <b style="color: #91d33f">Good</b> <i class="fa fa-thumbs-up fa-2x" style="color: #91d33f"></i></label>
								 		<label class="radio-inline"><input type="radio" name="rating" value="2" <?php if (@$rating == 2) echo "checked"; ?>> <b style="color: #cb1c1c">Bad</b> <i class="fa fa-thumbs-down fa-2x" style="color: #cb1c1c"></i></label></div><br>
							          <div class="form-group">
							            <!--<label>Feedback:</label>-->
							            <textarea rows="6" cols="60" class="form-control" name="feedback" required="required" placeholder="Please write your feeback about this offer."><?php echo getPostParameter('feedback'); ?></textarea>
							          </div>
							          <div class="form-group">
											<input type="hidden" name="action" id="action" value="addfeedback" />
											<input type="hidden" name="id" value="<?php echo $job_id; ?>" />
											<input type="submit" class="btn btn-success" name="Send" id="Sent" value="Post Feedback" />
											<a class="btn btn-default" href="javascript:void(0);" onclick="$('#create_ticket').hide('fast');$('#support_msg').toggle('fast');">Cancel</a>
							          </div>
									</form>									
									
								<?php } ?>
								
								<div style="clear: both"></div>

							<?php
									// show offer feedbacks
									$f_query = "SELECT *, DATE_FORMAT(updated, '%M %e, %Y') AS feedback_added FROM touchgigs_orders WHERE offer_id='$job_id' AND feedback!='' ORDER BY created DESC";
									$f_result = smart_mysql_query($f_query);
									$f_total = mysqli_num_rows($f_result);
			
									if ($f_total > 0) { 
							?>
								<?php while( $f_row = mysqli_fetch_array($f_result)) { ?>
								<div class="row">
									<div class="col-xs-1"><?php if ($f_row['rating'] == 1) { ?><i class="fa fa-thumbs-up fa-2x" style="color: #91d33f"></i><?php }else{ ?><i class="fa fa-thumbs-down fa-2x" style="color: #cb1c1c"></i><?php } ?></div>
								  <div class="col-xs-9">
									<?php echo GetUserAvatar($f_row['user_id'], 45); ?>  <b><?php echo GetEmployerInfo($f_row['user_id'], $username = 1); ?></b>
									<br><?php echo $f_row['feedback']; ?>
								  	<br><span style="color: #ccc"><?php echo relative_date(strtotime($f_row['updated'])); ?></span>
								  </div>
								  </div>
								  	<hr>
								<?php } ?>
							<?php }else{ ?>
								<hr>
								<p class="text-center">No offer's feedbacks yet.</p>
							<?php } ?>								
								
							</div>
							
							<!-- //dev
							<div class="section job-recommend">
								<h3><i class="fa fa-star-o" style="color: #01a650"></i> Recommended For You</h3>
							</div>-->
	
							<?php if ($row['about'] != "") { ?>
							<div class="section">
								<h3><i class="fa fa-user" style="color: #01a650"></i>  About this Seller</h3>
								<?php echo strip_tags($row['about'], "<br>"); ?>
							</div>
							<?php } ?>				
														
						</div>
						<div class="col-sm-4">
							<div class="section job-short-info">
								
								<div style="float: right;"><a class="report" style="color: #bb5e5e" href="<?php echo SITE_URL; ?>job_report.php?id=<?php echo $row['job_id']; ?>&offer=1"><i class="fa fa-flag"></i> report</a></div>
								
						<h1>Offer Details</h1>
						
							<?php if ($row['featured'] == 1) { ?><span class="label label-info touchgigs_tooltip" title="Featured Offer"><i class="fa fa-star"></i> Featured</span><?php } ?>

							<div class="row">
								<div class="col-xs-6"><?php if ($row['duration'] != "") { ?><h4><i class="fa fa-clock-o fa-lg" aria-hidden="true" style="color: #449d43"></i> <?php echo ConvertDuration($row['duration']); ?></h4> Delivery Time<br><br><?php } ?></div>
								<div class="col-xs-6"><h4><i class="fa fa-shopping-cart fa-lg" aria-hidden="true" style="color: #449d43"></i> <?php echo GetOfferSalesTotal($row['job_id']); ?> <sup><?php echo GetOfferSalesTotal($row['job_id'], $today = 1); ?></sup></h4> Sales <sup>today</sup><br><br></div>
								<div class="col-xs-6"><h4><i class="fa fa-star-o fa-lg" style="color: #449d43"></i> <a href="#feedbacks"><?php echo $feedbacks_total; ?></a></h4> Feedbacks / Rating<br><br></div>
								<div class="col-xs-6"><h4><i class="fa fa-history fa-lg" style="color: #449d43"></i> <?php echo GetOrdersQueueTotal($row['job_id']); ?></h4> Orders in Queue</div>
							</div>
								
								<div class="button">
									<a href="<?php echo SITE_URL; ?>order.php?id=<?php echo $row['job_id']; ?>" class="btn btn-primary btn-block"><i class="fa fa-shopping-cart" aria-hidden="true"></i> Order Now (<?php echo DisplayMoney($row['price']); ?>)</a><br>
								</div>
								<br>
								
								<ul>						
									<li><span class="icon"><i class="fa fa-list" aria-hidden="true"></i></span>Category: <?php echo GetJobCategory($row['job_id'], "offer"); ?></li>
									<li><span class="icon"><i class="fa fa-calendar" aria-hidden="true"></i></span>Posted: <?php echo relative_date(strtotime($row['added'])); //$row['date_added']; ?></li>
								<?php if ($row['updated'] != "0000-00-00 00:00:00") { ?><li><span class="icon"><i class="fa fa-clock-o" aria-hidden="true"></i></span>Updated: <?php echo relative_date(strtotime($row['updated'])); ?></li><?php } ?>
								
									<li><span class="icon"><i class="fa fa-share" aria-hidden="true"></i></span> Share this offer:</li>
								</ul>
								
								<input type="text" style="border:2px dotted #eee; background:#f3f3f3; color:#444444;" id="bn1" class="form-control" READONLY onfocus="this.select();" onclick="this.focus();this.select();" value="<?php echo SITE_URL."offer_details.php?id=".$row['job_id']; ?>" />
						
								<!--
								<ul class="share-social">
									<li><a href="#"><i class="fa fa-facebook-official fa-2x" aria-hidden="true"></i></a></li>
									<li><a href="#"><i class="fa fa-twitter-square fa-2x" aria-hidden="true"></i></a></li>
									<li><a href="#"><i class="fa fa-google-plus-square fa-2x" aria-hidden="true"></i></a></li>
									<li><a href="#"><i class="fa fa-linkedin-square fa-2x" aria-hidden="true"></i></a></li>
								</ul>
								-->
						
								<!-- AddThis Button BEGIN -->
								<div class="addthis_toolbox addthis_default_style addthis_32x32_style" style="margin: 8px 0">
									 <a class="addthis_button_preferred_1"></a>
									 <a class="addthis_button_preferred_2"></a>
									 <a class="addthis_button_preferred_3"></a>
									 <a class="addthis_button_preferred_4"></a>
									 <a class="addthis_button_preferred_5"></a>
									 <a class="addthis_button_preferred_6"></a>
									 <a class="addthis_button_compact"></a>
								</div>
								<script type="text/javascript" src="http://s7.addthis.com/js/250/addthis_widget.js#pubid=<?php echo ADDTHIS_ID; ?>"></script>
								<!-- AddThis Button END -->
																
							</div>
							<div class="section company-info">
								<h1>Seller</h1>
								
								<center><?php echo GetUserAvatar($row['user_id'], 70); ?></center>
								
								<h3 class="text-center">
									<?php echo GetEmployerInfo($row['user_id'], $username = 1); ?>
								</h3>
								<?php if (ifUserOnline($row['user_id'])) { ?>
									<center><span class="online"><i class="fa fa-circle Blink touchgigs_tooltip" style="font-size: 11px" title="user is online" aria-hidden="true"></i> online</span></center>
								<?php } ?>
								
								<Center><a class="btn btn-info" style="margin-top: 5px" href="<?php echo SITE_URL; ?>mysupport.php?user=<?php echo $row['user_id']; ?>"><i class="fa fa-envelope"></i> Contact Seller</a></Center><br>
	
								<?php if ($row['user_id'] != 0) { ?>
								<ul>
									<li><i class="fa fa-map-marker" aria-hidden="true"></i> From: <span style="float: right"><?php echo GetCountry($row['country_id']); ?> <?php echo ($row['city'] != "") ? "(".$row['city'].")" : ""; ?></span></li>
									<li><i class="fa fa-user" aria-hidden="true"></i> Member Since: <span style="float: right"><?php echo $row['signup_date'];?></span></li>
									<?php if ($row['login_count'] > 0) { ?>
										<li><i class="fa fa-clock-o" aria-hidden="true"></i> Last Login: <span style="float: right"><?php echo relative_date(strtotime($row['last_login'])); ?></span></li>
									<?php } ?>
									<li><i class="fa fa-star" aria-hidden="true"></i> Rating: <span style="float: right"><?php echo GetEmployerRating($row['user_id']); ?></span></li>
								</ul>
								<?php } ?>

							</div>
						</div>
					</div><!-- row -->					
				</div><!-- job-details-info -->				
			</div><!-- job-details -->
		</div><!-- container -->
	</section><!-- job-details-page -->
	



							<?php
									// show user other 5 random active offers
									$other_query = "SELECT *, DATE_FORMAT(added, '%M %e, %Y') AS date_added FROM touchgigs_jobs WHERE job_type='offer' AND job_id<>'$job_id' AND user_id='".(int)$row['user_id']."' AND status='active' ORDER BY RAND() LIMIT 5";
									$other_result = smart_mysql_query($other_query);
									$other_total = mysqli_num_rows($other_result);
			
									if ($other_total > 0) { 
							?>
							<div class="container">
							<div class="section">
								<h3><i class="fa fa-list" style="color: #01a650"></i>  Other Gigs by <?php echo GetEmployerInfo($row['user_id'], $username = 1); ?></h3>	
								<div class="row">
								<?php while ($other_row = mysqli_fetch_array($other_result)) { ?>
									<div class="col-md-4">
										<div class="job-ad-item <?php if ($other_row['featured'] == 1) { echo "row_featured"; }else{ if (($cc%2) == 0) echo "row_even"; else echo "row_odd"; } ?>">
											<div class="item-info">
												<div class="item-image-box2">
													<div class="text-center">
														<a href="<?php echo SITE_URL; ?>offer_details.php?id=<?php echo $other_row['job_id']; ?>"><img src="<?php echo SITE_URL; ?>images/offers/<?php echo ($other_row['image'] != "") ? $other_row['image'] : "no_image.png"; ?>" alt=""  height="150" style="margin: 5px 0;"></a>
													</div>
												</div>
			
												<div class="offer-info2 text-center">
													
													<?php if ($other_row['featured'] == 1) { ?><span class="featured touchgigs_tooltip" title="Featured"></span><?php } ?>
													<a class="job_title" href="<?php echo SITE_URL; ?>offer_details.php?id=<?php echo $other_row['job_id']; ?>">
														<span>I will <?php if (strlen($other_row['title']) > 75) $job_title = substr($other_row["title"], 0, 70)."..."; else $job_title = $other_row["title"]; echo $job_title; ?></span>
													</a>	
												  <br><i class="fa fa-star fa-lg" style="color: #ffc101"></i> <b>5.0</b> (<?php echo GetOfferFeedbacksTotal($other_row['job_id']); ?>)
												  &nbsp;&nbsp;&nbsp;<a href="<?php echo SITE_URL; ?>myoffers.php?id=<?php echo $other_row['job_id']; ?>&act=save"><i class="fa fa-heart touchgigs_tooltip" title="Add to Saved" style="color: #ae3535"></i></a>
												  <hr>
												  <div class="pull-left"><a href="<?php echo SITE_URL; ?>offer_details.php?id=<?php echo $other_row['job_id']; ?>" class="btn btn-success"> more info</a></div>
												  <div class="pull-right" style="padding-top: 5px"><span style="font-size: 19px; color: #4ea204"><?php echo DisplayMoney($other_row['price']); ?></span></div>
												  <div style="clear: both"></div>
												 	<?php if ($other_row['country'] != "") { ?>					
														<div class="ad-meta">
															<ul>
																<li><a href="#"><i class="fa fa-map-marker" aria-hidden="true"></i>San Francisco, CA, US </a></li>
															</ul>
														</div>
													<?php } ?>							
												</div>
											</div>
										</div>              
                
								</div>			
								<?php } ?>
								</div>
							</div>
							</div>
							<?php } ?>
							

				
					<?php
						// show 10 recently viewed offers
						if (is_array($_SESSION['recently_viewed']) && count($_SESSION['recently_viewed']) > 0)
						{
							unset($recently_ids);
							$recently_ids = $_SESSION['recently_viewed'];
							$recently_ids[] = "11111111111111111";
							$recently_ids = array_map('intval', $recently_ids);
							$recently_ids = array_unique($recently_ids);
									
							$other_query = "SELECT *, DATE_FORMAT(added, '%M %e, %Y') AS date_added FROM touchgigs_jobs WHERE job_type='offer' AND job_id<>'$job_id' AND job_id IN (".implode(",",$recently_ids).") AND status='active' LIMIT 4";
							$other_result = smart_mysql_query($other_query);
							$other_total = mysqli_num_rows($other_result);
	
							if ($other_total > 0) { 
				?>
				<div class="container">
				<div class="section">
					<div class="pull-left"><h3><i class="fa fa-history" style="color: #449d43"></i>  Recently Viewed Gigs</h3></div>
					<p class="pull-right"><a href="<?php echo SITE_URL; ?>?recently_clear=1"><i class="fa fa-remove"></i> Clear All</a> &nbsp;&nbsp;&nbsp;&nbsp; <a href="<?php echo SITE_URL; ?>recently_viewed.php"><i class="fa fa-list"></i> See All</a></p>	
					<div style="clear: both"></div>
					<div class="row">
					<?php while ($other_row = mysqli_fetch_array($other_result)) { ?>
						<div class="col-md-3 text-center">
							
								<div class="item-info2" style="border: 1px solid #eee; border-radius: 8px; padding: 10px;">
									<div class="item-image-box2">
										<div class="text-center">
											<a href="<?php echo SITE_URL; ?>offer_details.php?id=<?php echo $other_row['job_id']; ?>"><img src="<?php echo SITE_URL; ?>images/offers/<?php echo ($other_row['image'] != "") ? $other_row['image'] : "no_image.png"; ?>" alt=""  height="150" style="margin: 5px 0;"></a>
										</div>
									</div>

									<div class="ad-info">
									  <?php echo GetUserAvatar($other_row['user_id'], 40); ?>
									  by <?php $user_online = 0; if (ifUserOnline($other_row['user_id'])) { $user_online = 1; ?><small><span class="online"><i class="fa fa-circle Blink" style="font-size: 9px"></i></span></small><?php } ?> <?php echo GetEmployerInfo($other_row['user_id'], $username = 1); ?><br>
									  
									  <?php if ($other_row['featured'] == 1) { ?><span class="featured touchgigs_tooltip" title="Featured"></span><?php } ?>
										<a class="job_title" href="<?php echo SITE_URL; ?>offer_details.php?id=<?php echo $other_row['job_id']; ?>">
											<h4>I will <?php if (strlen($other_row['title']) > 75) $job_title = substr($other_row["title"], 0, 70)."..."; else $job_title = $other_row["title"]; echo $job_title; ?></h4>
										</a>
									  <i class="fa fa-star fa-lg" style="color: #eec80c"></i> <b>5.0</b> (<?php echo GetOfferFeedbacksTotal($other_row['job_id']); ?>)<!--<i class="fa fa-star-half"></i>-->
									  &nbsp;&nbsp;&nbsp;<a href="<?php echo SITE_URL; ?>myoffers.php?id=<?php echo $other_row['job_id']; ?>&act=save"><i class="fa fa-heart touchgigs_tooltip" title="Add to Saved" style="color: #ae3535"></i></a>
									  <hr>
									  <div class="pull-left"><a href="<?php echo SITE_URL; ?>order.php?id=<?php echo $other_row['job_id']; ?>" class="btn btn-success"><i class="fa fa-shopping-cart"></i> order</a></div>
									  <div class="pull-right" style="padding-top: 5px"><span style="font-size: 11px; color: #555; text-transform: uppercase; text-align: right">starting at</span> <span style="font-size: 19px; color: #4ea204"><?php echo DisplayMoney($other_row['price']); ?></span></div>
									 	<?php if ($other_row['country'] != "") { ?>					
											<div class="ad-meta">
												<ul>
													<li><a href="#"><i class="fa fa-map-marker" aria-hidden="true"></i>San Francisco, CA, US </a></li>
												</ul>
											</div>
										<?php } ?>
										<div style="clear: both"></div>						
									</div><!-- ad-info -->
								</div><!-- item-info -->							
							
						</div>
					<?php } ?>
					</div>
				</div>
				</div>						
				<?php } } ?>

	<?php }else{ ?>
		<h1>Offer not found</h1>
		<div class="alert alert-info text-center">Sorry, no offer found.<br> <a href="<?php echo SITE_URL; ?>offers.php" class="btn btn-info">Browse All Offers</a></div>
	<?php } ?>


<?php require_once ("inc/footer.inc.php"); ?>